bf-blender 2.34 pre Linux glibc 2.2.5

User-contributed CVS development builds. Please test and give feedback!

Moderators: jesterKing, stiv

Michel
Posts: 180
Joined: Wed Oct 16, 2002 7:27 pm
Location: Somewhere below the rivers in Holland (but not Limburg)

Re: differences between linux version and windows version

Post by Michel »

Tochiro wrote:why the version for linux not have the blenderplayer?
why save runtime it does not work?
Hi,

this is my fault. I was not aware the build system had to be slightly adapted to automatically include the blenderplayer. :oops:
I've been away for a couple of months, but I still tried to build the Blender binaries. The result is very unfortunate. Also, the 'problem' was not reported when I made a test build.
Now that I'm settled in my new appartment, I should be able to put more focus on Blender again.
Maybe a new release (also build with newer versions of gcc and glibc) should be done real soon. I'll throw this subject in a discussion on irc.

With regards,
Michel
You can have one of two things: Progress or Progress Reports.

Khiraly
Posts: 0
Joined: Sun Aug 03, 2003 1:18 am

Post by Khiraly »

Thx for the reponses.

So the problem is, that yafray and blender *must* compiled with the same compiler version.

As blender is compiled with gcc-2.95 I tried to compile yafray with 2.95 gcc. (g++-2.95)

I have a problem(I konw, that it's not really blender-related, but I think it's just because the lack of my knowledge of gcc/g++)

The problem is this:

Code: Select all

g++-2.95 -Wall -DHAVE_CONFIG_H -D_PTHREADS -O3 -ffast-math -fomit-frame-pointer -fPIC -Isrc/backgrounds -I. -Isrc/yafraycore -c -o src/backgrounds/hdri.os src/backgrounds/hdri.cc
In file included from src/yafraycore/scene.h:39,
                 from src/yafraycore/light.h:34,
                 from src/yafraycore/params.h:6,
                 from src/backgrounds/hdri.h:7,
                 from src/backgrounds/hdri.cc:2:
src/yafraycore/tools.h:9: limits: No such file or directory

With g++-3.2 its no warning, and compile just fine.

In the tools.h (line 9):

Code: Select all

#include<limits>
My question is, where can I find the limits(?) file? Or: Where have found g++-3.2 the lmits file?

Cheers,
Khiraly

jesterKing
Site Admin
Posts: 207
Joined: Fri Oct 18, 2002 12:48 pm
Location: Finland

Post by jesterKing »

Yafray won't compile with such an old compiler. It's better if you try compile blender with a new compiler :)

/jesterKing

Khiraly
Posts: 0
Joined: Sun Aug 03, 2003 1:18 am

Post by Khiraly »

jesterKing wrote:Yafray won't compile with such an old compiler. It's better if you try compile blender with a new compiler :)
Maybe is it available a gcc 3.2 compiled blender version?

Unfortunetly Im not able to compile blender on my linux box. :-(

Best regards,
Khiraly

Post Reply